program TrendSample;

{$APPTYPE CONSOLE}

uses
  SysUtils, matrix;

var
  myArray : Array [0..9] of real = (1, 5, 3, 5, 2, 5 ,2, 5 ,4, 5);
  C: Byte;

  begin
  WriteLn('Your data is : ');
  For C:= 0 to 9 do
    Write(myArray[C]:3:1,', ');
  WriteLn(#10);

  with TConstantTrend.create(myArray) do
    WriteLn('Constant      ', Equation, #10, ' SD = ', StandardDeviation:6:4);
  with TLinearTrend.create(myArray) do
    WriteLn('Linear        ', Equation, #10, ' SD = ', StandardDeviation:6:4);
  with TCyclicTrend.create(myArray, 5) do
    WriteLn('Cyclic        ', Equation, #10, ' SD = ', StandardDeviation:6:4);
  with TLinearCyclicTrend.create(myArray, 5) do
    WriteLn('Linear Cyclic ', Equation, #10, ' SD = ', StandardDeviation:6:4);

  WriteLn;
  WriteLn('Press enter to continue');
  ReadLn;
end.
